%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		chafa
Version:	1.14.0
Release:	%mkrel 1
Summary:	Image-to-text converter for terminal
License:	LGPLv3+
Group:		System/Libraries
URL:		https://hpjansson.org/chafa/
Source0:	https://github.com/hpjansson/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	gcc
BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ImageMagick)

%description
Chafa is a command-line utility that converts all kinds of images, including
animated image formats like GIFs, into ANSI/Unicode character output that can
be displayed in a terminal.

#------------------------------------------------

%package -n	%{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n	%{libname}
The core of Chafa which converts all kinds of images, including
animated image formats like GIFs, into ANSI/Unicode characters.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%package	doc
Summary:	Chafa documentation
Group:		Documentation
BuildArch:	noarch
Recommends:	%{name}-devel

%description	doc
Documentation for %{name}.

#------------------------------------------------

%prep
%setup -q

%ifarch %ix86
sed -i \
  -e 's/\s\+-msse4.1//g' \
  -e 's/\s\+-mavx2//g' \
  configure.ac
%endif

%build
autoreconf -fi
%configure --disable-static --disable-rpath
%make_build

%install
%make_install

%files
%license COPYING.LESSER
%doc README* NEWS
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%license COPYING.LESSER
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%license COPYING.LESSER
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%dir %{_libdir}/chafa/
%{_libdir}/chafa/include/

%files doc
%doc AUTHORS
%license COPYING.LESSER
%doc %{_datadir}/gtk-doc/html/%{name}


%changelog
* Sat Jan 13 2024 daviddavid <daviddavid> 1.14.0-1.mga10
+ Revision: 2030905
- new version: 1.14.0

* Fri Sep 01 2023 daviddavid <daviddavid> 1.12.5-1.mga10
+ Revision: 1982972
- new version: 1.12.5

* Tue Nov 15 2022 daviddavid <daviddavid> 1.12.4-1.mga9
+ Revision: 1907731
- new version: 1.12.4

* Thu Jul 14 2022 papoteur <papoteur> 1.12.3-1.mga9
+ Revision: 1868800
- new 1.12.3

* Thu Mar 31 2022 umeabot <umeabot> 1.8.0-3.mga9
+ Revision: 1837151
- Mageia 9 Mass Rebuild

* Wed Dec 29 2021 wally <wally> 1.8.0-2.mga9
+ Revision: 1765310
- disable SSE 4.1 and AVX2 support on i586

* Wed Dec 29 2021 wally <wally> 1.8.0-1.mga9
+ Revision: 1765295
- new version 1.8.0

* Wed Dec 29 2021 wally <wally> 1.6.0-3.mga9
+ Revision: 1765290
- rebuild for imagemagick 7.0.11.14

* Wed May 05 2021 daviddavid <daviddavid> 1.6.0-2.mga9
+ Revision: 1721373
- fix dependencies

* Wed May 05 2021 daviddavid <daviddavid> 1.6.0-1.mga9
+ Revision: 1721367
- initial package chafa (needed for harfbuzz)

